Search
Scrape Best Buy search results with domain, store, and fulfillment filtering using Web Scraper API.
The bestbuy_search source is designed to retrieve Bestbuy search result pages. We can return the HTML for any Best Buy page you like. To see the response example with retrieved data, download this sample output file in HTML format.
Request samples
The samples below illustrates how you can get a Best Buy search result.
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
"source": "bestbuy_search",
"query": "iphone 14",
"domain": "com"
}'import requests
from pprint import pprint
# Structure payload.
payload = {
'source': 'bestbuy_search',
'query': 'iphone 14',
'domain': 'com'
}
# Get response.
response = requests.request(
'POST',
'https://realtime.oxylabs.io/v1/queries',
auth=('USERNAME', 'PASSWORD'),
json=payload,
)
# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.
Request parameter values
Generic
source
Sets the scraper.
bestbuy_search
query
The keyword or phrase to search for products.
-
start_page
Starting page number.
1
- mandatory parameter
Localization
Adapt results to specific domains, stores, and delivery locations.
domain
Domain localization for Bestbuy. Available value: com.
com
String
fulfillment_type
Specify order fulfillment method. Available values: pickup, shipping.
Each value requires a companion parameter specifying the location to check availability: pickup requires store_id (Integer - the trailing number in a store's URL), and shipping requires delivery_zip (String).
-
String
Last updated
Was this helpful?

